/*头部样式*/
.top-container{
    width: 100%;
    height: auto !important;
    position: relative;
}
.banner img {
    display: block;
}
.banner-title{
    position: absolute;
    top: 42%;
    /*left: 45%;*/
    text-align: center;
    width: 100%;
}
.partners{
    padding: 1rem 0 0.1rem 0;
    text-align: center;
    background-color: #f8f8f8;
}

.partners-title-a{
    font-family: BigCaslon, sans-serif;
    color: #2a2623;
    font-size: 0.48rem;
}
.partners-title-b{
    font-family: SukhumvitSet-Light, sans-serif !important;
    padding: 0.2rem 2.2rem;
    color: #999999;
    font-size: 0.16rem;
}
.partners-container{
    padding: 0.5rem 0;
    display: flex;
    flex-wrap: wrap;
}
.partners-container .item{
    width:calc(10% - .09rem);
    margin-right: .1rem;
    margin-bottom: .1rem;
    height: .8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #fff;
}
.partners-container .item:nth-child(10n){
    margin-right: 0;
}
.partners-container .item>img{max-width: 80%;max-height: 80%;filter: grayscale(100);transition: .3s;}
.partners-container .item:hover>img{filter:none}
.project{
    padding: 1rem 0 0.5rem 0;
    display: flex;
    gap: 1rem;
}
.project-text-title{
    font-family: BigCaslon, sans-serif;
    padding: 0.5rem 0;
}
.project-title-a{
    color: #999999;
    font-size: 0.18rem;
}
.project-title-b{
    color: #2a2623;
    font-size: 0.48rem;
}
.project-text{
    width: 45%;
}
.project-text-t{
    font-family: SukhumvitSet-Light, sans-serif !important;
    color: #999999;
    font-size: 0.16rem;
    padding: 0.5rem 0 0.3rem 0;
    border-top: 1px solid #999999;
    border-bottom: 1px solid #999999;
}
.project-text-t span{text-wrap-mode:wrap !important}
.swiper{
    width: 50%;
}
.swiper-button-prev{
    /*color: #ffffff !important;*/
    background-color: #000 !important;
    width: 0.4rem !important;
    height: 0.4rem !important;
    opacity: 0.5;
    transition: .3s;
}
.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
    content: '' !important;
}

.swiper-button-next{
    /*color: #ffffff !important;*/
    background-color: #000 !important;
    width: 0.4rem !important;
    height: 0.4rem !important;
    opacity: 0.5;
    transition: .3s;
}
.swiper-button-next:hover,.swiper-button-prev:hover{
    opacity: .9;
}

.swiper-button-next:after, .swiper-rtl .swiper-button-next:after {
    content: '' !important;
}

.services{
    padding: 0.5rem 0 1rem 0;
}
.services-text{
    font-family: BigCaslon, sans-serif;
    text-align: center;
}
.services-title{
    color: #999999;
    font-size: 0.18rem;
}
.services-text-a{
    color: #2a2623;
    font-size: 0.48rem;
}
.services-menu{
    display: flex;
    justify-content: center;
    padding: 0.3rem 0;
}
.services-menu-list{
    font-family: BigCaslon, sans-serif;
    color: #2a2623;
    font-size: 0.2rem;
    display: flex;
    list-style: none;      /* 去掉默认的圆点 */
    gap: 0.8rem;             /* 项目之间的间距 */
    height: 0.5rem;
}
.services-menu-list a:hover{color:#a9543f;}
.selected{
    color: #a9543f;
    border-bottom: 2px solid #a9543f;
}

.services-img-list{
    display: flex;
    flex-wrap: wrap;
    gap: 0.2rem;
}

.services-item {
    /*flex: 1 0 30%; !* 每行3个元素，每个元素占30%的宽度 *!*/
    box-sizing: border-box; /* 确保padding和border不影响宽度 */
    margin-bottom:0.5rem;
    width: 32%;
    border-bottom: 1px solid #e3e3e3;
}

.services-item-img{
    height: 3.05rem;
    position: relative;
    display: inline-block;
    overflow: hidden;       /* 关键！超出部分隐藏 -> 放大的图片被裁剪在框内 */
}
.services-img {
    width: 100%;
    vertical-align: bottom; 
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease; /* 缓慢放大效果 */
}
.services-item-img:hover .services-img {
    transform: scale(1.08);
}

.services-text-b{
    color: #999999;
    font-size: 0.14rem;
}
.services-text-c{
    color: #2a2623;
    font-size: 0.2rem;
}
.services-item-title-a{
    font-family: SukhumvitSet-Light, sans-serif !important;
    color: #999999;
    font-size: 0.14rem;
    height: 0.3rem;
}
.services-item:hover{
    border-bottom: 1px solid #999999;
}
.services-item a:hover .services-text-c{
    color: #666;
}
.load{
    background-color: #f8f8f8;
    position: absolute;
    left: 50%;
    padding: 0.1rem;
}

@media (max-width: 750px) {
    .partners-title-b{font-size: 0.26rem;padding-left: 0;padding-right: 0;}
    /* .partners-title-a{font-size: 0.58rem;} */
    .partners-container .item{width:23.5%;margin-right: 2%;}
    .partners-container .item:nth-child(10n){margin-right: 2%;}
    .partners-container .item:nth-child(4n){margin-right: 0;}
    .project{display: block;padding-top:0.7rem;}
    .project-text{width: 100%;}
    .project-title-a{font-size: 0.28rem;}
    .project-text-t{font-size: 0.26rem;margin-bottom: 0.5rem;}
    .project-text-title{padding-top:0;}
    .swiper{width: 100%;}
    .swiper-button-next{width: 0.7rem !important;height: 0.7rem !important;}
    .swiper-button-prev{width: 0.7rem !important;height: 0.7rem !important;}
    .services-title{font-size: 0.28rem;}
    .services-menu-list{gap:0.2rem;font-size: 0.24rem;white-space: nowrap;overflow: auto;}
    .services-item{width: 48%;margin-right:4%;}
    .services-item:nth-child(2n){margin-right: 0;}
    .services-img-list{gap: 0;}
    .services-text-b{font-size: 0.24rem;}
    .services-text-c{font-size: 0.3rem;}
    .services-item-title-a{font-size: 0.24rem;height: auto;padding-bottom: 0.1rem;}
    .services-item-title .services-text{padding: 0.2rem 0 0.4rem 0 !important;}
    .banner-title{top: 50%;transform: translateY(-50%);}
}